#
# spec file for package lukemftp (Version 1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lukemftp
Copyright:    BSD-Style
Group:        Networking/Utilities
Conflicts:    ftp
Provides:     nkitb:/usr/bin/ftp
Autoreqprov:  on
Version:      1.5
Release:      118
Summary:      enhanced ftp client
URL:          ftp://ftp.netbsd.org/pub/NetBSD/misc/lukemftp/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
Patch1:       hostname.dif
Patch2:       default_binary.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
lukemftp is the enhanced ftp client in NetBSD.

Authors:
--------
    Luke Mewburn <lukem@netbsd.org>

SuSE series: n

%define prefix   /usr
%prep
%setup
%patch
%patch1
%patch2

%build
%{?suse_update_config:%{suse_update_config}}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --mandir=%{_mandir} --prefix=%{prefix} --infodir=%{_infodir} \
	    --sysconfdir=%{_sysconfdir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT/ install
ln -sf ftp $RPM_BUILD_ROOT/usr/bin/pftp
echo ".so man1/ftp.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pftp.1

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%doc COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/ftp
%{_bindir}/pftp
%doc %{_mandir}/man1/*

%changelog -n lukemftp
* Mon Aug 13 2001 - cihlar@suse.cz
- explicitly set default type to binary [#9712]
* Thu Aug 02 2001 - cihlar@suse.cz
- fixed hostname in "Connected to ..." [#9503]
* Sun Apr 01 2001 - schwab@suse.de
- Get the initial transfer type right for the listings.
- Define _GNU_SOURCE for strptime.
- Fix autoconf test for size of off_t.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Fri Dec 01 2000 - smid@suse.cz
- new version 1.5
* Fri Sep 29 2000 - kukuk@suse.de
- new package, split from nkitb
